summaryrefslogtreecommitdiff
path: root/contrib/run-script-sygusComp2017-GENERAL
diff options
context:
space:
mode:
authorajreynol <andrew.j.reynolds@gmail.com>2017-05-22 11:00:10 -0500
committerajreynol <andrew.j.reynolds@gmail.com>2017-05-22 11:00:10 -0500
commit02b3aba2273232504e76e0c7d49226ef2a27977f (patch)
treecef4178f5dd8c69549dbc9217681e69588e8d4ca /contrib/run-script-sygusComp2017-GENERAL
parent0971aa005c33fb1aaa18ed4522e25d89bb909238 (diff)
Initial draft of 2017 competition scripts.
Diffstat (limited to 'contrib/run-script-sygusComp2017-GENERAL')
-rwxr-xr-xcontrib/run-script-sygusComp2017-GENERAL33
1 files changed, 33 insertions, 0 deletions
diff --git a/contrib/run-script-sygusComp2017-GENERAL b/contrib/run-script-sygusComp2017-GENERAL
new file mode 100755
index 000000000..0ee133ea8
--- /dev/null
+++ b/contrib/run-script-sygusComp2017-GENERAL
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all-abort --cegqi-si-abort --decision=internal --cbqi-prereg-inst
+finishwith --cegqi-si=none
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback